En línea ahora  

/v1/partner/

GET

/v1/partner/get_bulk_availability_template

#
Get the CSV columns and example row for bulk venue availability imports.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_bulk_availability_template' \
  --data-urlencode 'key={{API_KEY}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_bulk_availability_template_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.columnsarray si
$.oneOf[0].allOf[1].Payload.columns[]string No
$.oneOf[0].allOf[1].Payload.examplestring si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_bulk_availability_template",
    "RequestUserAlias": "example-user",
    "Payload": {
        "columns": [
            "inventory type",
            "date",
            "time/start hour",
            "quantity",
            "price",
            "currency",
            "guest first name",
            "guest last name",
            "contact email",
            "contact phone",
            "category-field JSON",
            "linked post ID"
        ],
        "example": "inventory type,date,time/start hour,quantity,price,currency,guest first name,guest last name,contact email,contact phone,category-field JSON,linked post ID\nSynthetic Dinner Table,2030-07-14,19:00,2,125,USD,Synthetic,Guest,guest@example.com,+1 202 555 0100,\"[]\","
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_inventory

#
Get location-specific inventory types and linked community posts for a managed venue.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_inventory' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_inventory_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.InventoryTypesarray si
$.oneOf[0].allOf[1].Payload.InventoryTypes[]object No
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Namestring si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsDefault.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocation_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Admin-ATUser_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Descriptionstring si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListingsDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListings.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].AllowListings.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelTextDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelText.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludeGroupNameInLabelText.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescription.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ExtendedDescriptionHeadline.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesServiceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesService.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].PriceIncludesService.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyAmount.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnlyDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnly.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsFallbackOnly.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].Headcount.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNameComp.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResourceDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResource.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ATLocationCategory_ShareableWithResource.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IncludedCreditCurrencyPricenumber si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultBidAmountnumber si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultOfferAmountnumber si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].IsClaimedboolean si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].RawNamestring si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupEntryCountinteger si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].GroupNamestring si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].ClaimURLstring si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATLocationInventoryType_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].ATDiscussionPosts_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].PostTitle.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[0].URLSlug = "" si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].postLink.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultBidAmountCentsinteger si
$.oneOf[0].allOf[1].Payload.InventoryTypes[].DefaultOfferAmountCentsinteger si
$.oneOf[0].allOf[1].Payload.PostLinksarray si
$.oneOf[0].allOf[1].Payload.PostLinks[]object No
$.oneOf[0].allOf[1].Payload.PostLinks[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.PostLinks[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.PostLinks[].ATLocationInventoryType_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.PostLinks[].ATDiscussionPosts_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle si
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.PostLinks[].PostTitle.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.PostLinks[].URLSlug = "" si
$.oneOf[0].allOf[1].Payload.Schemaobject si
$.oneOf[0].allOf[1].Payload.Schema.readyboolean si
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray si
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_inventory",
    "RequestUserAlias": "example-user",
    "Payload": {
        "InventoryTypes": [],
        "PostLinks": [],
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_listing_regulation_policy

#
Get the venue listing-regulation override policy for a managed venue.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_listing_regulation_policy' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_listing_regulation_policy_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.policystring ["None","AllowAnyone","CurrentOwnerResellOnly"] si
$.oneOf[0].allOf[1].Payload.defaultPolicy = "CurrentOwnerResellOnly" si
$.oneOf[0].allOf[1].Payload.canEditboolean si
$.oneOf[0].allOf[1].Payload.schemaobject si
$.oneOf[0].allOf[1].Payload.schema.readyboolean si
$.oneOf[0].allOf[1].Payload.schema.missingColumnsarray si
$.oneOf[0].allOf[1].Payload.schema.missingColumns[]string No
$.oneOf[0].allOf[1].Payload.optionsarray si
$.oneOf[0].allOf[1].Payload.options[]object No
$.oneOf[0].allOf[1].Payload.options[].valuestring ["AllowAnyone","CurrentOwnerResellOnly"] si
$.oneOf[0].allOf[1].Payload.options[].labelstring si
$.oneOf[0].allOf[1].Payload.restrictedByRegulationboolean si
$.oneOf[0].allOf[1].Payload.blockingRegulation si
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].namestring si
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].effectiveDateStartstring si
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[0].idinteger si
$.oneOf[0].allOf[1].Payload.blockingRegulation.anyOf[1]null si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_listing_regulation_policy",
    "RequestUserAlias": "example-user",
    "Payload": {
        "policy": "None",
        "defaultPolicy": "CurrentOwnerResellOnly",
        "canEdit": false,
        "schema": {
            "ready": false,
            "missingColumns": []
        },
        "options": [],
        "restrictedByRegulation": false,
        "blockingRegulation": {
            "name": "synthetic-example",
            "effectiveDateStart": "synthetic-example",
            "id": 0
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_location_claim_options

#
Search venues that can be selected for a partner management claim.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
q string No "" Search query.
pageSize int No 15 Maximum options to return.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_location_claim_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'q={{q}}' \
  --data-urlencode 'pageSize={{pageSize}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_location_claim_options_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.querystring si
$.oneOf[0].allOf[1].Payload.optionsarray si
$.oneOf[0].allOf[1].Payload.options[]object No
$.oneOf[0].allOf[1].Payload.options[].valuestring si
$.oneOf[0].allOf[1].Payload.options[].labelstring si
$.oneOf[0].allOf[1].Payload.options[].subtitlestring si
$.oneOf[0].allOf[1].Payload.options[].keywordsstring si
$.oneOf[0].allOf[1].Payload.options[].aliasstring si
$.oneOf[0].allOf[1].Payload.options[].citystring si
$.oneOf[0].allOf[1].Payload.options[].countryShortstring si
$.oneOf[0].allOf[1].Payload.options[].categoryNamestring si
$.oneOf[0].allOf[1].Payload.options[].managementURLstring si
$.oneOf[0].allOf[1].Payload.options[].profileURLstring si
$.oneOf[0].allOf[1].Payload.options[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.options[].canManageboolean si
$.oneOf[0].allOf[1].Payload.options[].canRequestClaimboolean si
$.oneOf[0].allOf[1].Payload.options[].pendingRequest si
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].chatURLstring si
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].requestIDinteger si
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[0].chatIDinteger si
$.oneOf[0].allOf[1].Payload.options[].pendingRequest.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.schemaobject si
$.oneOf[0].allOf[1].Payload.schema.readyboolean si
$.oneOf[0].allOf[1].Payload.schema.missingTablesarray si
$.oneOf[0].allOf[1].Payload.schema.missingTables[]string No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_claim_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "query": "synthetic-example",
        "options": [],
        "schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_location_dashboard

#
Get overview demand, listing, sales, and conversion signals for a managed venue.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
overviewRange string No "30d" Timeframe key: 1d, 7d, 30d, or custom.
overviewFrom string No "" Custom range start date when overviewRange is custom.
overviewTo string No "" Custom range end date when overviewRange is custom.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_location_dashboard' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'overviewRange={{overviewRange}}' \
  --data-urlencode 'overviewFrom={{overviewFrom}}' \
  --data-urlencode 'overviewTo={{overviewTo}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_location_dashboard_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.Dashboardobject si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryobject si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ViewsDatabaseNumber NoNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views.oneOf[0]number No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.BidsDatabaseNumber NoNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids.oneOf[0]number No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListingsDatabaseNumber NoNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListings.oneOf[0]number No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.ActiveListings.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSalesDatabaseNumber NoNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales.oneOf[0]number No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolumeDatabaseNumber NoNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume.oneOf[0]number No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30DayDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30Day.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Views30Day.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30DayDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30Day.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.Bids30Day.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90DayDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90Day.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.CompletedSales90Day.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90DayDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90Day.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.summary.GrossVolume90Day.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.trendarray si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[]object No
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Date.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].ViewsDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Views.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Views.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].SalesDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Sales.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].Sales.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolumeDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolume.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.trend[].GrossVolume.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypesarray si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[]object No
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].Namestring si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].ListingCount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCountDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCount.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].SalesCount.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolumeDatabaseNumber siNumeric value; MySQL reads can serialize numbers as numeric strings.
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolume.oneOf[0]number si
$.oneOf[0].allOf[1].Payload.Dashboard.topInventoryTypes[].GrossVolume.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormattedobject si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.viewsstring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.bidsstring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.activeListingsstring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.completedSalesstring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.grossVolumestring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.conversionstring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.views30Daystring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.bids30Daystring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.completedSales90Daystring si
$.oneOf[0].allOf[1].Payload.Dashboard.summaryFormatted.grossVolume90Daystring si
$.oneOf[0].allOf[1].Payload.Dashboard.timeframeobject si
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.keystring ["1d","7d","30d","custom"] si
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.fromDatestring si
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.toDatestring si
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.daysinteger si
$.oneOf[0].allOf[1].Payload.Dashboard.timeframe.labelstring si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_dashboard",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Dashboard": {
            "summary": {
                "Views30Day": 0,
                "Bids30Day": 0,
                "CompletedSales90Day": 0,
                "GrossVolume90Day": 0
            },
            "trend": [],
            "topInventoryTypes": [],
            "summaryFormatted": {
                "views": "synthetic-example",
                "bids": "synthetic-example",
                "activeListings": "synthetic-example",
                "completedSales": "synthetic-example",
                "grossVolume": "synthetic-example",
                "conversion": "synthetic-example",
                "views30Day": "synthetic-example",
                "bids30Day": "synthetic-example",
                "completedSales90Day": "synthetic-example",
                "grossVolume90Day": "synthetic-example"
            },
            "timeframe": {
                "key": "1d",
                "fromDate": "synthetic-example",
                "toDate": "synthetic-example",
                "days": 0,
                "label": "synthetic-example"
            }
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_location_inventory_forecast

#
Get a managed venue's inventory forecast using the same market-insight engine as the seller forecast, without public API pricing.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int No 0 Target location ID.
locationAlias string No "" Optional target location alias when locationID is not supplied.
dateRange string No "30d" One of 30d, 60d, 90d, custom.
startDate string No "" Custom range start date when dateRange=custom, YYYY-MM-DD.
endDate string No "" Custom range end date when dateRange=custom, YYYY-MM-DD.
sourceLocationIDs string No "" Optional comma-separated similar restaurant location IDs. If empty, saved similar restaurants are used.
sourceLocationAliases string No "" Optional comma-separated similar restaurant aliases.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_location_inventory_forecast' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'locationAlias={{locationAlias}}' \
  --data-urlencode 'dateRange={{dateRange}}' \
  --data-urlencode 'startDate={{startDate}}' \
  --data-urlencode 'endDate={{endDate}}' \
  --data-urlencode 'sourceLocationIDs={{sourceLocationIDs}}' \
  --data-urlencode 'sourceLocationAliases={{sourceLocationAliases}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_location_inventory_forecast_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.locationIDinteger si
$.oneOf[0].allOf[1].Payload.sourceLocationIDsarray si
$.oneOf[0].allOf[1].Payload.sourceLocationIDs[]integer No
$.oneOf[0].allOf[1].Payload.forecastobject si
$.oneOf[0].allOf[1].Payload.forecast.location si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationAliasstring si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationNamestring si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].marketLinestring si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryNamestring si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].locationIDinteger si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].categoryID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocationsarray si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[]object No
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationAliasstring si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationNamestring si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceLocations[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[0].sourceModestring ["likeness","direct"] si
$.oneOf[0].allOf[1].Payload.forecast.location.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.forecast.timeframeobject si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.keystring ["30d","60d","90d","custom"] si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.daysinteger si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.fromstring si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.tostring si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.fromDatestring si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.toDatestring si
$.oneOf[0].allOf[1].Payload.forecast.timeframe.labelstring si
$.oneOf[0].allOf[1].Payload.forecast.summary si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].rowCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].opportunityRowCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].sourceLocationCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessmentobject si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.labelstring si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.averagePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.confidenceLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.recommendedListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.activeListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.neededListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.averagePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.recentViewCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.showByDefaultboolean si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.tonestring ["neutral","positive","warning"] si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.confidencestring ["high","medium","developing"] si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonCodesarray si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] No
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonLabelsarray si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.reasonLabels[]string No
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceConfidenceLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceBasisLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.isEstimatedPriceboolean si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceConfidencestring ["high","medium","low","none"] si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] si
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.comparableSaleCountinteger No
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.isExactInventoryComparableboolean No
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.relatedPriceLocationIDinteger No
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[0].supplyAssessment.relatedPriceLocationNamestring No
$.oneOf[0].allOf[1].Payload.forecast.summary.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.forecast.rowsarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[]object No
$.oneOf[0].allOf[1].Payload.forecast.rows[].inventoryTypeNamestring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].datestring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].dateLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].dateWithDayLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].timeframeLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].averagePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].suggestedPriceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].confidenceLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].directAveragePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].inventoryTypeIDinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].demandSignalCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].directDemandSignalCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].historyYearCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].activeListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].sellerCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].recommendedListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].neededListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].averagePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].suggestedPriceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].popularityTierinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].directAveragePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].isLikenessBasedboolean si
$.oneOf[0].allOf[1].Payload.forecast.rows[].requiresInventoryMappingboolean si
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour si
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.forecast.rows[].startHour.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.forecast.rows[].confidencestring ["high","medium","developing"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceReasonCodesarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceReasonCodes[]string ["history","likeness","supply","popularity"] No
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceLabelsarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[].evidenceLabels[]string No
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceModestring ["direct","likeness","direct+likeness"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceLocationIDsarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[].sourceLocationIDs[]integer No
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessmentobject si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.labelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.averagePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.confidenceLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.recommendedListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.activeListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.neededListingCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.averagePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.recentViewCountinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.showByDefaultboolean si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.tonestring ["neutral","positive","warning"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.confidencestring ["high","medium","developing"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonCodesarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] No
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonLabelsarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.reasonLabels[]string No
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceConfidenceLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceBasisLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.isEstimatedPriceboolean si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceConfidencestring ["high","medium","low","none"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.comparableSaleCountinteger No
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.isExactInventoryComparableboolean No
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.relatedPriceLocationIDinteger No
$.oneOf[0].allOf[1].Payload.forecast.rows[].supplyAssessment.relatedPriceLocationNamestring No
$.oneOf[0].allOf[1].Payload.forecast.rows[].competitionobject si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.countinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listingsarray si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[]object No
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingIDstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingURLstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].locationAliasstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].inventoryTypeNamestring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingDatestring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingTimeLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingDateTimeLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].askingPriceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].inventoryTypeIDinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].askingPriceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingViewsOneDayinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingViewsAllTimeinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingPopularityScoreBracketinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].isRequestingUserListingboolean si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.forecast.rows[].competition.listings[].listingStartHour.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceFormattedstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceConfidenceLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceBasisLabelstring si
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceCentsinteger si
$.oneOf[0].allOf[1].Payload.forecast.rows[].isEstimatedPriceboolean si
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceConfidencestring ["high","medium","low","none"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] si
$.oneOf[0].allOf[1].Payload.forecast.rows[].comparableSaleCountinteger No
$.oneOf[0].allOf[1].Payload.forecast.rows[].isExactInventoryComparableboolean No
$.oneOf[0].allOf[1].Payload.forecast.sourceLocationIDsarray si
$.oneOf[0].allOf[1].Payload.forecast.sourceLocationIDs[]integer No
$.oneOf[0].allOf[1].Payload.location si
$.oneOf[0].allOf[1].Payload.location.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationAliasstring si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationNamestring si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].marketLinestring si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryNamestring si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].locationIDinteger si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].categoryID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocationsarray si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[]object No
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationAliasstring si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationNamestring si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceLocations[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.location.anyOf[0].sourceModestring ["likeness","direct"] si
$.oneOf[0].allOf[1].Payload.location.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.timeframeobject si
$.oneOf[0].allOf[1].Payload.timeframe.keystring ["30d","60d","90d","custom"] si
$.oneOf[0].allOf[1].Payload.timeframe.daysinteger si
$.oneOf[0].allOf[1].Payload.timeframe.fromstring si
$.oneOf[0].allOf[1].Payload.timeframe.tostring si
$.oneOf[0].allOf[1].Payload.timeframe.fromDatestring si
$.oneOf[0].allOf[1].Payload.timeframe.toDatestring si
$.oneOf[0].allOf[1].Payload.timeframe.labelstring si
$.oneOf[0].allOf[1].Payload.summary si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].rowCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].opportunityRowCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].sourceLocationCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessmentobject si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.labelstring si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.averagePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.confidenceLabelstring si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.recommendedListingCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.activeListingCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.neededListingCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.averagePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.recentViewCountinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.showByDefaultboolean si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.tonestring ["neutral","positive","warning"] si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.confidencestring ["high","medium","developing"] si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonCodesarray si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] No
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonLabelsarray si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.reasonLabels[]string No
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceFormattedstring si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceConfidenceLabelstring si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceBasisLabelstring si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceCentsinteger si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.isEstimatedPriceboolean si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceConfidencestring ["high","medium","low","none"] si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] si
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.comparableSaleCountinteger No
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.isExactInventoryComparableboolean No
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.relatedPriceLocationIDinteger No
$.oneOf[0].allOf[1].Payload.summary.anyOf[0].supplyAssessment.relatedPriceLocationNamestring No
$.oneOf[0].allOf[1].Payload.summary.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.rowsarray si
$.oneOf[0].allOf[1].Payload.rows[]object No
$.oneOf[0].allOf[1].Payload.rows[].inventoryTypeNamestring si
$.oneOf[0].allOf[1].Payload.rows[].datestring si
$.oneOf[0].allOf[1].Payload.rows[].dateLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].dateWithDayLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].timeframeLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].averagePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].suggestedPriceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].confidenceLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].directAveragePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].inventoryTypeIDinteger si
$.oneOf[0].allOf[1].Payload.rows[].demandSignalCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].directDemandSignalCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].historyYearCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].activeListingCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].sellerCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].recommendedListingCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].neededListingCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].averagePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].suggestedPriceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].popularityTierinteger si
$.oneOf[0].allOf[1].Payload.rows[].directAveragePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].isLikenessBasedboolean si
$.oneOf[0].allOf[1].Payload.rows[].requiresInventoryMappingboolean si
$.oneOf[0].allOf[1].Payload.rows[].startHour si
$.oneOf[0].allOf[1].Payload.rows[].startHour.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.rows[].startHour.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.rows[].confidencestring ["high","medium","developing"] si
$.oneOf[0].allOf[1].Payload.rows[].evidenceReasonCodesarray si
$.oneOf[0].allOf[1].Payload.rows[].evidenceReasonCodes[]string ["history","likeness","supply","popularity"] No
$.oneOf[0].allOf[1].Payload.rows[].evidenceLabelsarray si
$.oneOf[0].allOf[1].Payload.rows[].evidenceLabels[]string No
$.oneOf[0].allOf[1].Payload.rows[].sourceModestring ["direct","likeness","direct+likeness"] si
$.oneOf[0].allOf[1].Payload.rows[].sourceLocationIDsarray si
$.oneOf[0].allOf[1].Payload.rows[].sourceLocationIDs[]integer No
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessmentobject si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.labelstring si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.averagePriceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.confidenceLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.recommendedListingCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.activeListingCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.neededListingCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.averagePriceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.recentViewCountinteger si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.showByDefaultboolean si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.statusstring ["room_for_supply","good_supply","oversupply","no_estimation"] si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.tonestring ["neutral","positive","warning"] si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.confidencestring ["high","medium","developing"] si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonCodesarray si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonCodes[]string ["history","likeness","events","current_demand","popularity","supply","views"] No
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonLabelsarray si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.reasonLabels[]string No
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceConfidenceLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceBasisLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.isEstimatedPriceboolean si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceConfidencestring ["high","medium","low","none"] si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] si
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.comparableSaleCountinteger No
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.isExactInventoryComparableboolean No
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.relatedPriceLocationIDinteger No
$.oneOf[0].allOf[1].Payload.rows[].supplyAssessment.relatedPriceLocationNamestring No
$.oneOf[0].allOf[1].Payload.rows[].competitionobject si
$.oneOf[0].allOf[1].Payload.rows[].competition.countinteger si
$.oneOf[0].allOf[1].Payload.rows[].competition.listingsarray si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[]object No
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingIDstring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingURLstring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].locationAliasstring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].inventoryTypeNamestring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingDatestring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingTimeLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingDateTimeLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].askingPriceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].inventoryTypeIDinteger si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].askingPriceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingViewsOneDayinteger si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingViewsAllTimeinteger si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingPopularityScoreBracketinteger si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].isRequestingUserListingboolean si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.rows[].competition.listings[].listingStartHour.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.rows[].priceFormattedstring si
$.oneOf[0].allOf[1].Payload.rows[].priceConfidenceLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].priceBasisLabelstring si
$.oneOf[0].allOf[1].Payload.rows[].priceCentsinteger si
$.oneOf[0].allOf[1].Payload.rows[].isEstimatedPriceboolean si
$.oneOf[0].allOf[1].Payload.rows[].priceConfidencestring ["high","medium","low","none"] si
$.oneOf[0].allOf[1].Payload.rows[].priceBasisstring ["direct_market","active_supply","related_market","related_country","comparable_sales","none"] si
$.oneOf[0].allOf[1].Payload.rows[].comparableSaleCountinteger No
$.oneOf[0].allOf[1].Payload.rows[].isExactInventoryComparableboolean No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_inventory_forecast",
    "RequestUserAlias": "example-user",
    "Payload": {
        "locationID": 0,
        "sourceLocationIDs": [],
        "forecast": {
            "location": {
                "locationAlias": "synthetic-example",
                "locationName": "synthetic-example",
                "marketLine": "synthetic-example",
                "categoryName": "synthetic-example",
                "locationID": 0,
                "categoryID": 0,
                "sourceLocations": [],
                "sourceMode": "likeness"
            },
            "timeframe": {
                "key": "30d",
                "days": 1,
                "from": "synthetic-example",
                "to": "synthetic-example",
                "fromDate": "synthetic-example",
                "toDate": "synthetic-example",
                "label": "synthetic-example"
            },
            "summary": {
                "rowCount": 0,
                "opportunityRowCount": 0,
                "sourceLocationCount": 0,
                "supplyAssessment": {
                    "label": "synthetic-example",
                    "averagePriceFormatted": "synthetic-example",
                    "confidenceLabel": "synthetic-example",
                    "recommendedListingCount": 0,
                    "activeListingCount": 0,
                    "neededListingCount": 0,
                    "averagePriceCents": 0,
                    "recentViewCount": 0,
                    "showByDefault": false,
                    "status": "room_for_supply",
                    "tone": "neutral",
                    "confidence": "high",
                    "reasonCodes": [],
                    "reasonLabels": [],
                    "priceFormatted": "synthetic-example",
                    "priceConfidenceLabel": "synthetic-example",
                    "priceBasisLabel": "synthetic-example",
                    "priceCents": 0,
                    "isEstimatedPrice": false,
                    "priceConfidence": "high",
                    "priceBasis": "direct_market"
                }
            },
            "rows": [],
            "sourceLocationIDs": []
        },
        "location": {
            "locationAlias": "synthetic-example",
            "locationName": "synthetic-example",
            "marketLine": "synthetic-example",
            "categoryName": "synthetic-example",
            "locationID": 0,
            "categoryID": 0,
            "sourceLocations": [],
            "sourceMode": "likeness"
        },
        "timeframe": {
            "key": "30d",
            "days": 1,
            "from": "synthetic-example",
            "to": "synthetic-example",
            "fromDate": "synthetic-example",
            "toDate": "synthetic-example",
            "label": "synthetic-example"
        },
        "summary": {
            "rowCount": 0,
            "opportunityRowCount": 0,
            "sourceLocationCount": 0,
            "supplyAssessment": {
                "label": "synthetic-example",
                "averagePriceFormatted": "synthetic-example",
                "confidenceLabel": "synthetic-example",
                "recommendedListingCount": 0,
                "activeListingCount": 0,
                "neededListingCount": 0,
                "averagePriceCents": 0,
                "recentViewCount": 0,
                "showByDefault": false,
                "status": "room_for_supply",
                "tone": "neutral",
                "confidence": "high",
                "reasonCodes": [],
                "reasonLabels": [],
                "priceFormatted": "synthetic-example",
                "priceConfidenceLabel": "synthetic-example",
                "priceBasisLabel": "synthetic-example",
                "priceCents": 0,
                "isEstimatedPrice": false,
                "priceConfidence": "high",
                "priceBasis": "direct_market"
            }
        },
        "rows": []
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_location_likeness_group

#
Get saved similar restaurants and suggested related restaurants for a managed venue forecast.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_location_likeness_group' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_location_likeness_group_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.LocationIDinteger si
$.oneOf[0].allOf[1].Payload.Schemaobject si
$.oneOf[0].allOf[1].Payload.Schema.readyboolean si
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray si
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string No
$.oneOf[0].allOf[1].Payload.SelectedOptionsarray si
$.oneOf[0].allOf[1].Payload.SelectedOptions[]object No
$.oneOf[0].allOf[1].Payload.SelectedOptions[].valuestring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].labelstring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].subtitlestring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].keywordsstring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].aliasstring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].namestring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].cityLinestring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].categoryNamestring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].sourcestring si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.SelectedOptions[].relationshipCountinteger si
$.oneOf[0].allOf[1].Payload.SelectedLocationIDsarray si
$.oneOf[0].allOf[1].Payload.SelectedLocationIDs[]integer No
$.oneOf[0].allOf[1].Payload.SelectedAliasesarray si
$.oneOf[0].allOf[1].Payload.SelectedAliases[]string No
$.oneOf[0].allOf[1].Payload.SuggestedOptionsarray si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[]object No
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].valuestring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].labelstring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].subtitlestring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].keywordsstring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].aliasstring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].namestring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].cityLinestring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].categoryNamestring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].sourcestring si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.SuggestedOptions[].relationshipCountinteger si
$.oneOf[0].allOf[1].Payload.CanEditboolean si
$.oneOf[0].allOf[1].Payload.CanBulkAvailabilityboolean si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_likeness_group",
    "RequestUserAlias": "example-user",
    "Payload": {
        "LocationID": 0,
        "Schema": {
            "ready": false,
            "missingTables": []
        },
        "SelectedOptions": [],
        "SelectedLocationIDs": [],
        "SelectedAliases": [],
        "SuggestedOptions": [],
        "CanEdit": false,
        "CanBulkAvailability": false
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_location_likeness_options

#
Search restaurants that can be added to a managed venue's similarity group.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Target location ID.
q string No "" Search query.
pageSize int No 15 Maximum options to return.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_location_likeness_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}' \
  --data-urlencode 'q={{q}}' \
  --data-urlencode 'pageSize={{pageSize}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_location_likeness_options_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.optionsarray si
$.oneOf[0].allOf[1].Payload.options[]object No
$.oneOf[0].allOf[1].Payload.options[].valuestring si
$.oneOf[0].allOf[1].Payload.options[].labelstring si
$.oneOf[0].allOf[1].Payload.options[].subtitlestring si
$.oneOf[0].allOf[1].Payload.options[].keywordsstring si
$.oneOf[0].allOf[1].Payload.options[].aliasstring si
$.oneOf[0].allOf[1].Payload.options[].namestring si
$.oneOf[0].allOf[1].Payload.options[].cityLinestring si
$.oneOf[0].allOf[1].Payload.options[].categoryNamestring si
$.oneOf[0].allOf[1].Payload.options[].sourcestring si
$.oneOf[0].allOf[1].Payload.options[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.options[].relationshipCountinteger si
$.oneOf[0].allOf[1].Payload.pageSizeinteger si
$.oneOf[0].allOf[1].Payload.querystring si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_likeness_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "options": [],
        "pageSize": 1,
        "query": "synthetic-example"
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_location_livestream

#
Get the featured livestream post for a managed venue.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_location_livestream' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_location_livestream_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.Featured si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postTitlestring si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postURLstring si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].goLiveURLstring si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].liveStreamStartDatestring si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].boardNamestring si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].featuredLivestreamLinkIDinteger si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].locationIDinteger si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postIDinteger si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].postAuthorUserIDinteger si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[0].isLiveboolean si
$.oneOf[0].allOf[1].Payload.Featured.anyOf[1]array si
$.oneOf[0].allOf[1].Payload.Schemaobject si
$.oneOf[0].allOf[1].Payload.Schema.readyboolean si
$.oneOf[0].allOf[1].Payload.Schema.missingTablesarray si
$.oneOf[0].allOf[1].Payload.Schema.missingTables[]string No
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_location_livestream",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Featured": {
            "postTitle": "synthetic-example",
            "postURL": "synthetic-example",
            "goLiveURL": "synthetic-example",
            "liveStreamStartDate": "synthetic-example",
            "boardName": "synthetic-example",
            "featuredLivestreamLinkID": 0,
            "locationID": 0,
            "postID": 0,
            "postAuthorUserID": 0,
            "isLive": false
        },
        "Schema": {
            "ready": false,
            "missingTables": []
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_locations

#
Get the venue locations this user personally manages through partner team roles or legacy location-user grants, plus their pending venue management applications. Global administrator access alone does not add locations.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_locations' \
  --data-urlencode 'key={{API_KEY}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_locations_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.schemaobject si
$.oneOf[0].allOf[1].Payload.schema.readyboolean si
$.oneOf[0].allOf[1].Payload.schema.missingTablesarray si
$.oneOf[0].allOf[1].Payload.schema.missingTables[]string No
$.oneOf[0].allOf[1].Payload.locationsarray si
$.oneOf[0].allOf[1].Payload.locations[]object No
$.oneOf[0].allOf[1].Payload.locations[].namestring si
$.oneOf[0].allOf[1].Payload.locations[].aliasstring si
$.oneOf[0].allOf[1].Payload.locations[].cityLinestring si
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountNamestring si
$.oneOf[0].allOf[1].Payload.locations[].rolestring si
$.oneOf[0].allOf[1].Payload.locations[].sourcestring si
$.oneOf[0].allOf[1].Payload.locations[].managementURLstring si
$.oneOf[0].allOf[1].Payload.locations[].profileURLstring si
$.oneOf[0].allOf[1].Payload.locations[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID si
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.locations[].partnerAccountID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.pendingRequestsarray si
$.oneOf[0].allOf[1].Payload.pendingRequests[]object No
$.oneOf[0].allOf[1].Payload.pendingRequests[].namestring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].aliasstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].cityLinestring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].statusstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].createdDatestring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].chatURLstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].managementURLstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].profileURLstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].requestIDinteger si
$.oneOf[0].allOf[1].Payload.pendingRequests[].locationIDinteger si
$.oneOf[0].allOf[1].Payload.pendingRequests[].chatIDinteger si
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationStatusstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationChatIDinteger si
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationChatURLstring si
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount si
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount.anyOf[0]integer si
$.oneOf[0].allOf[1].Payload.pendingRequests[].applicationUnreadCount.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus si
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus.anyOf[0]string ["answer-required","pending"] si
$.oneOf[0].allOf[1].Payload.pendingRequests[].sidebarStatus.anyOf[1]null si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_locations",
    "RequestUserAlias": "example-user",
    "Payload": {
        "schema": {
            "ready": false,
            "missingTables": []
        },
        "locations": [],
        "pendingRequests": []
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_opening_hours

#
Get weekly recurring opening-hour windows for a venue the current user may edit.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_opening_hours' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_opening_hours_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.OpeningHoursobject si
$.oneOf[0].allOf[1].Payload.OpeningHours.schemaobject si
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.readyboolean si
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.missingTablesarray si
$.oneOf[0].allOf[1].Payload.OpeningHours.schema.missingTables[]string No
$.oneOf[0].allOf[1].Payload.OpeningHours.sourcestring ["legacy","split"] si
$.oneOf[0].allOf[1].Payload.OpeningHours.maxWindowsPerDay = 4 si
$.oneOf[0].allOf[1].Payload.OpeningHours.daysarray si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[]object No
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].keystring si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].labelstring si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].humanReadablestring si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].weekdayinteger siMonday=0 through Sunday=6.
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].openTimeinteger si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].closeTimeinteger si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].closedboolean si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windowsarray si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[]object NoTimes are integer HHMM; close <= open means the following day.
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].openTimeInputstring si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].closeTimeInputstring si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].labelstring si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].idinteger si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].openTimeinteger si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].closeTimeinteger si
$.oneOf[0].allOf[1].Payload.OpeningHours.days[].windows[].overnightboolean si
$.oneOf[0].allOf[1].Payload.OpeningHours.CanEdit = true si
$.oneOf[1]object si
$.oneOf[1].RequestUserAliasstring si
$.oneOf[1].RequestPathstring | null si
$.oneOf[1].RequestStatus = "Failed" si
$.oneOf[1].ResponseCodeinteger si
$.oneOf[1].ResponseMessageAPIResponseMessage si
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[1].ResponseMessage.oneOf[1]array si
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[1].ResponseMessage.oneOf[2]object si
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[1].RequestImpersonatedByUserAliasstring No
Ejemplo de respuesta
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/partner/get_opening_hours",
    "RequestUserAlias": "example-user",
    "Payload": {
        "OpeningHours": {
            "schema": {
                "ready": false,
                "missingTables": []
            },
            "source": "legacy",
            "maxWindowsPerDay": 4,
            "days": [
                {
                    "weekday": 0,
                    "key": "monday",
                    "label": "Monday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 1,
                    "key": "tuesday",
                    "label": "Tuesday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 2,
                    "key": "wednesday",
                    "label": "Wednesday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 3,
                    "key": "thursday",
                    "label": "Thursday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 4,
                    "key": "friday",
                    "label": "Friday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 5,
                    "key": "saturday",
                    "label": "Saturday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                },
                {
                    "weekday": 6,
                    "key": "sunday",
                    "label": "Sunday",
                    "closed": true,
                    "openTime": 0,
                    "closeTime": 0,
                    "humanReadable": "Closed",
                    "windows": []
                }
            ],
            "CanEdit": true
        }
    }
}
Documentación del endpoint legible por máquinas
GET

/v1/partner/get_team

#
Get active team members, pending invites, and recent partner audit events for a managed venue.

Parámetros

NombreTipoObligatorioPredeterminadoDescripción
locationID int si — Location ID to inspect.
Ejemplo de solicitud (cURL)
curl --get \
  'https://es.appointmenttrader.com/v1/partner/get_team' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'locationID={{locationID}}'

Respuesta

JSON
See the shared response schema and synthetic example.
Campos de respuesta
CampoTipoObligatorioDescripción
$partner_get_team_Response si
$.oneOf[0] si
$.oneOf[0].allOf[0]object si
$.oneOf[0].allOf[0].RequestUserAliasstring si
$.oneOf[0].allOf[0].RequestPathstring | null si
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" si
$.oneOf[0].allOf[0].ResponseCodeinteger si
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage No
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object si
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage No
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring No
$.oneOf[0].allOf[1]object si
$.oneOf[0].allOf[1].Payloadobject si
$.oneOf[0].allOf[1].Payload.Teamobject si
$.oneOf[0].allOf[1].Payload.Team.partnerAccountIDinteger No
$.oneOf[0].allOf[1].Payload.Team.membersarray si
$.oneOf[0].allOf[1].Payload.Team.members[]object No
$.oneOf[0].allOf[1].Payload.Team.members[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.members[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.members[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.members[].ATUser_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.members[].Rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] si
$.oneOf[0].allOf[1].Payload.Team.members[].Status = "Active" si
$.oneOf[0].allOf[1].Payload.Team.members[].CreatedDatestring si
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate si
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.members[].AcceptedDate.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.members[].Aliasstring si
$.oneOf[0].allOf[1].Payload.Team.members[].Email si
$.oneOf[0].allOf[1].Payload.Team.members[].Email.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.members[].Email.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.members[].Avatarstring si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0]object si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].actorUserIDinteger si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].targetUserIDinteger si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].isBlockedboolean si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].blockedDate.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].isMutedboolean si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].mutedDate.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].reasonstring si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[0].personalNotestring si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[1]object si
$.oneOf[0].allOf[1].Payload.Team.members[].relationshipControls.anyOf[1].personalNote = "" si
$.oneOf[0].allOf[1].Payload.Team.invitesarray si
$.oneOf[0].allOf[1].Payload.Team.invites[]object No
$.oneOf[0].allOf[1].Payload.Team.invites[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.invites[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteTokenstring siSynthetic placeholder in documentation; runtime value is a private team invitation token.
$.oneOf[0].allOf[1].Payload.Team.invites[].Rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] si
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail si
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.invites[].InviteEmail.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.invites[].Statusstring ["Pending","Accepted","Revoked","Expired"] si
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedDatestring si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedBy-ATUser_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.invites[].AcceptedDate.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate si
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.invites[].ExpiresDate.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.invites[].CreatedBy-ATUser_ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.auditarray si
$.oneOf[0].allOf[1].Payload.Team.audit[]object No
$.oneOf[0].allOf[1].Payload.Team.audit[].IDDatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ID.oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.audit[].ID.oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.audit[].CreatedDatestring si
$.oneOf[0].allOf[1].Payload.Team.audit[].Actionstring si
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID si
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.audit[].Actor-ATUser_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID si
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0]DatabaseInteger siInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0].oneOf[0]integer si
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[0].oneOf[1]string si
$.oneOf[0].allOf[1].Payload.Team.audit[].Target-ATUser_ID.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0]string (application/json) si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0]PartnerAuditContext (JSON decodificado) si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0]object si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].previousPolicystring ["None","AllowAnyone","CurrentOwnerResellOnly"] No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].policystring ["AllowAnyone","CurrentOwnerResellOnly"] No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestIDDatabaseInteger NoInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestID.oneOf[0]integer No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].requestID.oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].locationIDsarray No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].locationIDs[]integer No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].countinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].dayCountinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].windowCountinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].reasonstring No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].alreadyDeletedboolean No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummaryobject No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.penaltyCountinteger si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.existingPenaltyCountinteger si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.pointsAmountinteger si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].penaltySummary.currencyAmountinteger si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inventoryTypeIDinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].postIDinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].createdPostboolean No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].rowCountinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].createdCountinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].errorCountinteger No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].appointmentIDsarray No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].appointmentIDs[]integer No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].rolestring ["Owner","Admin","InventoryManager","HostSupport","Finance","Analyst"] No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0]DatabaseInteger NoInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0].oneOf[0]integer No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[0].oneOf[1]string No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].inviteID.anyOf[1]boolean No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[0].emailstring No
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[0].anyOf[1]array si
$.oneOf[0].allOf[1].Payload.Team.audit[].ContextJSON.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias si
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias.anyOf[0]string si
$.oneOf[0].allOf[1].Payload.Team.audit[].ActorAlias.anyOf[1]null si
$.oneOf[0].allOf[1].Payload.Team.audit[].TargetAlias si
[...]
